Management
Remove Sub-Issuer
Revoke the sub-issuer role from an address on a stock token
POST
/
stocks
/
api
/
manage
/
{tokenAddress}
/
sub-issuer
/
remove
curl -X POST "https://api.trusset.org/stocks/api/manage/0x1234.../sub-issuer/remove" \
-H "Content-Type: application/json" \
-H "X-API-Key: trusset_abc123xy_secret..." \
-d '{
"account": "0x9876543210fedcba9876543210fedcba98765432",
"useRelayer": true
}'
const response = await fetch(
`https://api.trusset.org/stocks/api/manage/${tokenAddress}/sub-issuer/remove`,
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'trusset_abc123xy_secret...'
},
body: JSON.stringify({
account: '0x9876543210fedcba9876543210fedcba98765432',
useRelayer: true
})
}
);
const { data } = await response.json();
{
"success": true,
"data": {
"transactionHash": "0xdef456...",
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"account": "0x9876543210fedcba9876543210fedcba98765432",
"role": "SUB_ISSUER",
"action": "revoked"
},
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
Revokes the
SUB_ISSUER role from the specified account on-chain.
Path Parameters
Address of the stock token contract.
Request Body
Ethereum address to revoke the sub-issuer role from.
When
true, the transaction is signed and submitted by the Trusset relayer.Response Fields
Request status.
Transaction result.
curl -X POST "https://api.trusset.org/stocks/api/manage/0x1234.../sub-issuer/remove" \
-H "Content-Type: application/json" \
-H "X-API-Key: trusset_abc123xy_secret..." \
-d '{
"account": "0x9876543210fedcba9876543210fedcba98765432",
"useRelayer": true
}'
const response = await fetch(
`https://api.trusset.org/stocks/api/manage/${tokenAddress}/sub-issuer/remove`,
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'trusset_abc123xy_secret...'
},
body: JSON.stringify({
account: '0x9876543210fedcba9876543210fedcba98765432',
useRelayer: true
})
}
);
const { data } = await response.json();
{
"success": true,
"data": {
"transactionHash": "0xdef456...",
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"account": "0x9876543210fedcba9876543210fedcba98765432",
"role": "SUB_ISSUER",
"action": "revoked"
},
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
⌘I
curl -X POST "https://api.trusset.org/stocks/api/manage/0x1234.../sub-issuer/remove" \
-H "Content-Type: application/json" \
-H "X-API-Key: trusset_abc123xy_secret..." \
-d '{
"account": "0x9876543210fedcba9876543210fedcba98765432",
"useRelayer": true
}'
const response = await fetch(
`https://api.trusset.org/stocks/api/manage/${tokenAddress}/sub-issuer/remove`,
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'trusset_abc123xy_secret...'
},
body: JSON.stringify({
account: '0x9876543210fedcba9876543210fedcba98765432',
useRelayer: true
})
}
);
const { data } = await response.json();
{
"success": true,
"data": {
"transactionHash": "0xdef456...",
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"account": "0x9876543210fedcba9876543210fedcba98765432",
"role": "SUB_ISSUER",
"action": "revoked"
},
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
